Осьова лінія – КОМПАС в DELPHI

Інтерфейс ksMathPointParam використовується для завдання параметрів якоїсь математичної точки Від звичайної точки вона відрізняється тим, що не показується на кресленнях

Отримати інтерфейс ksMathPointParam можна за допомогою методу GetParamStruct інтерфейсу KompasObject Для цього в якості єдиного параметра данномуметоду потрібно передати значення константи ko_MathPointParam

Розглянемо інтерфейс ksMathPointParam більш докладно

Властивостей у даного інтерфейсу всього два: x і y Як не важко здогадатися, вони задають координати точки, яку описує даний інтерфейс

Метод у інтерфейсу ksMathPointParam всього один Init () Він обнуляє властивості даного інтерфейсу і в разі успіху повертає значення true

Мабуть, це один з найпростіших інтерфейсів з усіх, що ми розглядали

Інтерфейс ksAxisLineParam служить для завдання параметрів осьової лінії Отримати даний інтерфейс можна за допомогою методу GetParamStruct інтерфейсу KompasObject, для цього в якості єдиного параметра йому потрібно передати константу ko_AxisLineParam Властивостей у інтерфейсу ksAxisLineParam немає Тому відразу переходимо до розгляду його методів Їх усього три

Init() – Ініціалізує інтерфейс ksAxisLineParam У разі успіху повертає значення true, а в разі помилки – false

GetBegPoint() – Повертає інтерфейс ksMathPointParam, що описує першу точку осьової лінії

GetEndPoint() – Повертає інтерфейс ksMathPointParam, що описує другу точку осьової лінії

Для побудови осьової лінії використовується метод ksAxisLineParam інтерфейсу ksDocumen2D В якості єдиного параметра даний метод приймає інтерфейс ksAxisLineParam, що описує параметри осьової лінії, яку потрібно побудувати

У разі успіху даний метод повертає числовий ідентифікатор

побудованої осьової лінії А в разі помилки – нуль

Нижче наводиться вихідний текст програми, яка демонструє побудову осьової лінії У цій програмі спочатку будується прямоугольнік1, а потім по його середині проводиться горизонтальна осьова лінія

var

kompas: KompasObject Document2D: ksDocument2D

RectangleParam: ksRectangleParam AxisLineParam: ksAxisLineParam BegPoint, EndPoint: ksMathPointParam

………………………

Begin

………………………

/ / Будуємо прямокутник

RectangleParam:=ksRectangleParam(kompasGetParamStruct(ko_RectangleParam))

RectangleParamx:=100 RectangleParamy:=70 RectangleParamang:=0 RectangleParamheight:=60 RectangleParamwidth:=100 RectangleParamstyle:=1 Document2DksRectangle(RectangleParam, 0)

/ / Отримуємо інтерфейс параметрів осьової лінії

AxisLineParam := ksAxisLineParam(kompasGetParamStruct(ko_AxisLineParam))

/ / Отримуємо інтерфейс параметрів першої точки осьової лінії

BegPoint:=ksMathPointParam(AxisLineParamGetBegPoint())

/ / Координати першої точки осьової лінії

BegPointx:=100 BegPointy:=100

/ / Отримуємо інтерфейс параметрів другої точки осьової линиі

EndPoint:=ksMathPointParam(AxisLineParamGetEndPoint())

/ / Координати другої точки осьової лінії

EndPointx:=200 EndPointy:=100

/ / Будуємо осьову лінію

Document2DksAxisLine(AxisLineParam) kompasVisible:=true

end

На малюнку нижче представлений результат роботи цієї програми

1 Побудова прямокутника докладно описується в главі 10

Зверніть увагу, що в якості кінцевих точок осьової лінії ми вказуємо точки, що належать прямокутнику Величину «виступів», тобто те, наскільки осьова лінія довша прямокутника система КОМПАС визначає сама

Джерело: Норсеев Сергій, «розробка програм під КОМПАС У DELPHI»

Схожі статті:


Сподобалася стаття? Ви можете залишити відгук або підписатися на RSS , щоб автоматично отримувати інформацію про нові статтях.

Коментарів поки що немає.

Ваш отзыв

Поділ на параграфи відбувається автоматично, адреса електронної пошти ніколи не буде опублікований, допустимий HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

*

*